[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: Openldap and Solaris 8

I have a Ultra Enterprise 250 with Solaris 8 (Sparc Procesor), GNU gcc 3.0.4, Openldap 2.0.11.

I am trying with nss_ldap-163 to 166, but, the same error appear.


"Chapman, Kyle" wrote:

 tell me some more of your environment:compiler version, which ld (gnu, /usr/ucd/bin/ld, or the sun elf ld)os versioni havent had any problems with the modules compiling (yet!)
-----Original Message-----
From: Cristian Santibanez V. [mailto:csantiba@duoc.cl]
Sent: Tuesday, July 31, 2001 10:57 AM
To: Chapman, Kyle
Cc: openldap-software@OpenLDAP.org
Subject: Re: Openldap and Solaris 8

The option with PAM/NSS don't work, the NSS module don´t compile. The following message appear:

&& CONFIG_FILES=Makefile CONFIG_HEADERS= /bin/sh ./config.status
creating Makefile
gcc -DHAVE_CONFIG_H -I. -I. -I.   -DLDAP_REFERRALS -D_REENTRANT  -g -O2 -Wall -fPIC -c ldap-nss.c
In file included from ldap-nss.h:52,
                 from ldap-nss.c:62:
/usr/include/nss_dbdefs.h:371: parse error before "projid_t"
/usr/include/nss_dbdefs.h:396: parse error before '}' token
/usr/include/nss_dbdefs.h:415: field `key' has incomplete type
/usr/include/nss_dbdefs.h:422: confused by earlier errors, bailing out
make: *** [ldap-nss.o] Error 1

Can you help me please ?

Thanks in advance.

"Chapman, Kyle" wrote:


check out www.padl.com for PAM/NSS libs that will work much better than the native sun libs

-----Original Message-----
From: Cristian Santibanez V. [mailto:csantiba@duoc.cl]
Sent: Tuesday, July 31, 2001 9:06 AM
To: openldap-software@OpenLDAP.org
Subject: Openldap and Solaris 8

Dear Folks

I am trying configure a Solaris 8 Server to authenticate in Openldap
Server installed in the same server, the openldap work well, but, the
Solaris can't authenticate in the openldap.
I configured the files /var/ldap/ldap_client_cred
/var/ldap/ldap_client_file and the file nsswitch.conf and the program
ldaplist work well .

Somebody can help me.